package util;

public class DataEmFormatoInvalidoException extends Exception {
	
	private String dataInvalida;
	
	/**	
	 * Lanada toda vez que h erro de converso de String para Data 
	 * @param string que no pde ser convertida
	 */
	public DataEmFormatoInvalidoException(String stringInvalida){
		super("A String \"" + stringInvalida +"\" fornecida no est no padro correto.");
		this.dataInvalida = stringInvalida;
	}
	/**
	 * Retorna a string incorreta.
	 * @return String
	 */
	public String getStringInvalida(){
		return this.dataInvalida;
	}
	
}
