package util;

public class DataInvalidaException extends Exception {
		
	private int dia;
	private int mes;
	private int ano;
	
	/**
	 * Lanada toda vez que os valores para construo
	 * de uma data so invlidos.
	 * @param dia
	 * @param mes
	 * @param ano
	 */
	public DataInvalidaException(int dia, int mes, int ano){
		super("Os parmetros("+ dia+", " + mes + ", " + ano +
				")fornecidos para a construo de uma data so invlidos.");
		this.dia = dia;
		this.mes = mes;
		this.ano = ano;
	}
	/**
	 * Retorna o ano da data invlida
	 * @return ano
	 */
	public int getAno() {
		return ano;
	}
	/**
	 * Retorna o dia da data invlida
	 * @return dia
	 */
	public int getDia() {
		return dia;
	}
	/**
	 * Retorna o ms da data invlida
	 * @return mes
	 */
	public int getMes() {
		return mes;
	}
}
